Bug 131789 - multimedia/gpac-libgpac fails to compile
Summary: multimedia/gpac-libgpac fails to compile
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Li-Wen Hsu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-02-17 21:20 UTC by Bernard Steiner
Modified: 2009-02-20 07:29 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Steiner 2009-02-17 21:20:01 UTC
I have:
gpac-libgpac-0.4.4,1        <  needs updating (port has 0.4.5,1)

thus I try
# portmaster gpac-libgpac-0.4.4,1
..
cc -O3  -O -pipe -march=athlon64  -fPIC -pthread -fno-strict-aliasing -Wno-pointer-sign -I/usr/tmp/usr/ports/multimedia/gpac-libgpac/work/gpac/include  -I../ -DGPAC_HAVE_CONFIG_H  -fPIC -DPIC -c compositor/mesh.c -o compositor/mesh.opic
In file included from compositor/mesh.c:33:
compositor/gl_inc.h:45:19: error: GL/gl.h: No such file or directory
gmake: *** [compositor/mesh.opic] Error 1

Hilarious, in the light of:

# ls -l /usr/local/include/GL/gl.h
-rw-r--r--  1 root  wheel  90754 Feb 17 22:05 /usr/local/include/GL/gl.h
Comment 1 Edwin Groothuis freebsd_committer 2009-02-17 21:20:47 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-multimedia

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Li-Wen Hsu freebsd_committer 2009-02-17 23:02:09 UTC
Responsible Changed
From-To: freebsd-multimedia->lwhsu

I'll take it.
Comment 3 Dmitry Marakasov 2009-02-19 14:31:45 UTC
This seem to happen in presence of libGL.

gpac/src/compositor/gl_inc.h:

#ifndef GPAC_USE_TINYGL
#include <GL/gl.h>
#else
#include "../../../TinyGL/include/GL/gl.h"
#endif

I suspect the following behavior (though I didn't test):

libGL not present -> configure uses bundled TibyGL -> all OK.
libGL present -> configure detects it and decides to use, but doesn't
add -I${LOCALBASE}/include to CPPPATH / -L${LOCALBASE}/lib to LDFLAGS ->
compilation fails.

The fix should be to either:
1) Add --disable-opengl to CONFIGURE_ARGS 
2) Add USE_OPENGL=yes and 
CONFIGURE_ENV=	LDFLAGS="-L${LOCALBASE}/lib" CPPFLAGS="-I${LOCALBASE}/include"

The best thing is to make it optional, because libGL depends on
other X libraries, and gpac-libgpac is used with some CLI ports (ffmpeg,
mencoder), so mandatory dependency on X libs is unwanted.

Plan B is --disable-opengl.

-- 
Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
amdmi3@amdmi3.ru  ..:  jabber: amdmi3@jabber.ru    http://www.amdmi3.ru
Comment 4 dfilter service freebsd_committer 2009-02-19 23:21:13 UTC
jkim        2009-02-19 23:20:57 UTC

  FreeBSD ports repository

  Modified files:
    multimedia/gpac-libgpac Makefile 
  Added files:
    multimedia/gpac-libgpac/files patch-configure 
  Removed files:
    multimedia/gpac-libgpac/files patch-src_Makefile 
  Log:
  - Make IPv6 and OpenGL optional but turn them on by default[1].
  - Fix build with OpenGL and register its dependency when it is enabled.
  - Move FreeBSD-specific stuff into configure script from src/Makefile.
  - Make portlint happy with PKGNAMESUFFIX.
  
  PR:     ports/131681[1], ports/131713, ports/131789
  
  Revision  Changes    Path
  1.17      +23 -8     ports/multimedia/gpac-libgpac/Makefile
  1.1       +66 -0     ports/multimedia/gpac-libgpac/files/patch-configure (new)
  1.3       +0 -19     ports/multimedia/gpac-libgpac/files/patch-src_Makefile (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Li-Wen Hsu freebsd_committer 2009-02-20 07:29:09 UTC
State Changed
From-To: open->closed

fixed.